<template>
  <div class="wrapper social-wrapper">
    <div class="container">
      <div class="social">
        <header
          class="social-header"
          v-waypoint="{active: isWaypointActive, callback: animate, options: {threshold: [0.9, 1]}}"
        >
          <div class="social__title">
            Become part of the community
          </div>
          <CommonGradient class="social__gradient"/>
        </header>
        <main
          class="social-main"
        >
          <div
            class="social-item-col"
            v-for="item in socials"
            :key="item"
          >
            <div
              class="social-item"
              :class="item"
            >
              <img :src="require(`@/assets/images/social/${item}.svg`)" :alt="item">
              <div class="social-item__name">
                {{ item }}
              </div>
            </div>
          </div>
        </main>
      </div>
    </div>
  </div>
</template>

<script>
import CommonGradient from "@/components/common/CommonGradient";
import isMobilePlatform from "@/utils";

export default {
  name: "MainPageSocial",
  components: {CommonGradient},
  data() {
    return {
      socials: ['telegram', 'medium', 'discord', 'github', 'twitter'],
      isWaypointActive: true
    }
  },
  methods: {
    animate({going}) {
      if (going !== 'in') return

      this.$anime.timeline({
        easing: 'easeOutSine'
      })
        .add({
          targets: '.social__title',
          opacity: [0, 1],
          translateY: () => isMobilePlatform() ? [-25, 0] : [-100, 0],
          duration: 750,
        })
        .add({
          targets: '.social__gradient',
          width: [0, '100%'],
          duration: 750,
        })
        .add({
          targets: '.social-item-col',
          easing: 'easeOutSine',
          delay: this.$anime.stagger(200),
          opacity: [0, 1],
          translateY: [75, 0],
          duration: 750
        })

      this.isWaypointActive = false
    },
  }
}
</script>

<style scoped lang="sass">
@import "~@/assets/sass/components/MainPage/MainPageSocial.sass"
</style>
